---@class CBRadioHelperRegister : provides specializations loading for CB Radio


if g_specializationManager:getSpecializationByName("CBRadioHelper") == nil then
	g_specializationManager:addSpecialization("CBRadioHelper", "CBRadioHelper", g_currentModDirectory.."scripts/CBRadioHelper.lua", true, nil)
end




for typeName, typeEntry in pairs(g_vehicleTypeManager.types) do
    if
    	SpecializationUtil.hasSpecialization(Drivable, typeEntry.specializations) 
		and	SpecializationUtil.hasSpecialization(Enterable, typeEntry.specializations)
		and	SpecializationUtil.hasSpecialization(Motorized, typeEntry.specializations)
    	and not SpecializationUtil.hasSpecialization(Locomotive, typeEntry.specializations)
    
    then
     	g_vehicleTypeManager:addSpecialization(typeName, "CBRadioHelper")
		print("CBRadioHelperRegister engine has registered specialization: ".. typeName .." on CBRadioHelper");
    end
end


	-- g_vehicleTypeManager:addSpecialization("AIVehicle", "CBRadioHelper")
	-- g_vehicleTypeManager:addSpecialization("AIJobFieldWork", "CBRadioHelper") 
	-- g_vehicleTypeManager:addSpecialization("draw", "CBRadioHelper")
	--g_vehicleTypeManager:addSpecialization("onLoadMap", "CBRadioHelper")
	
	-- g_vehicleTypeManager:addSpecialization("baseDrivable", "CBRadioHelper") 
	-- g_vehicleTypeManager:addSpecialization("Drivable", "CBRadioHelper") 
	-- g_vehicleTypeManager:addSpecialization("Motorized", "CBRadioHelper") 
	-- g_vehicleTypeManager:addSpecialization("combineDrivable", "CBRadioHelper")
	-- g_vehicleTypeManager:addSpecialization("AIVehicle", "CBRadioHelper")
	-- g_vehicleTypeManager:addSpecialization("AIJobVehicle", "CBRadioHelper")  	